<?php

class MailController extends Controller {

public function accessRules()
	{
		return array(
			array('allow',  // allow all users to perform 'index' and 'view' actions
				'actions'=>array('index','view'),
				'users'=>array('*'),
			),
			array('allow', // allow authenticated user to perform 'create' and 'update' actions
				'actions'=>array('create','update','mail','SendMail'),
				'users'=>array('@'),
			),
			array('allow', // allow admin user to perform 'admin' and 'delete' actions
				'actions'=>array('admin','delete'),
				'users'=>array('admin'),
			),
			array('deny',  // deny all users
				'users'=>array('*'),
			),
		);
	}




    public function actionIndex() {
        
        $model = new MailForm();
        
        if (isset($_POST["MailForm"])){
            $model->attributes=$_POST['MailForm'];
            
            if($model->validate()) {   
                $message = new YiiMailMessage();
                
                $message->setFrom(array($model->from => ''));
                $message->setTo(array($model->to => ''));
                $message->setSubject($model->subject);
                $message->setBody($model->body);

                $sendmail = Yii::app()->mail->send($message) ;
                
                if ($sendmail) {
                    Yii::app()->user->setFlash("success", "Emails sent: OK \n" );
                    $this->refresh();
                } else {
                    Yii::app()->user->setFlash("failed", "Emails sent: NG \n");
                }
            }
        }
        
        $this->render('index', 
                array(
                    'model' => $model, 
                ));
    }
}
