<?php

class TcompanyController extends Controller
{
	/**
	 * @var string the default layout for the views. Defaults to '//layouts/column2', meaning
	 * using two-column layout. See 'protected/views/layouts/column2.php'.
	 */
	public $layout='//layouts/column2';

	/**
	 * @return array action filters
	 */
	public function filters()
	{
		return array(
			'accessControl', // perform access control for CRUD operations
			'postOnly + delete', // we only allow deletion via POST request
		);
	}

	/**
	 * Specifies the access control rules.
	 * This method is used by the 'accessControl' filter.
	 * @return array access control rules
	 */
	public function accessRules()
	{
		return array(
			array('allow',  // allow all users to perform 'index' and 'view' actions
				'actions'=>array('create','index','view'),
				'users'=>array('*'),
			),
			array('allow', // allow authenticated user to perform 'create' and 'update' actions
				'actions'=>array('update','update2'),
				'users'=>array('@'),
			),
			array('allow', // allow admin user to perform 'admin' and 'delete' actions
				'actions'=>array('admin','delete'),
				'users'=>array('@'),
			),
			array('deny',  // deny all users
				'users'=>array('*'),
			),
		);
	}

	/**
	 * Displays a particular model.
	 * @param integer $id the ID of the model to be displayed
	 */
	public function actionView($id)
	{
		$this->render('view',array(
			'model'=>$this->loadModel($id),
		));
	}

	/**
	 * Creates a new model.
	 * If creation is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionCreate()
	{
		$model=new AdminTcompany;

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);
		
		

		if(isset($_POST['AdminTcompany']))
		{
		
		
		$oldImg = $model->strImgLocation;
			$model->attributes=$_POST['AdminTcompany'];
			 $model->cproimage=CUploadedFile::getInstance($model,'cproimage');//upload ˾ɫƷͼƬ-wyx20160131
	
			 
			if($model->save())
			{
			   $model->cproimage->saveAs('path/feapro/'.$model->id."_".$model->cproimage);
				$this->redirect(array('view','id'=>$model->id));
				}
			
			
			if($model->save())
				$this->redirect(array('view','id'=>$model->id));
		}

		$this->render('create',array(
			'model'=>$model,
		));
	}

	/**
	 * Updates a particular model.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 * @param integer $id the ID of the model to be updated
	 */
	 
	
public function actionUpdate()
	{
	
	
	$id=Yii::app()->user->id;
	
		$model=$this->loadModel($id);
		
	// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);
		
		//0 Ƿύ

		if(isset($_POST['AdminTcompany']))  //167

		{
			
		//1POST֮ǰ
	$oldimage=$model->cproimage;
		
	 //2 ȡPOST
		$model->attributes=$_POST['AdminTcompany'];
		
		 $model->cproimage = CUploadedFile::getInstance($model, 'cproimage');
		
		//3 жǷͼϴ

		if($model->cproimage)  //157
		{
			
			
	$imageurl="path/logo/".$model->id."_".$model->cproimage;
		
	
	//жͼƬǷ

if(is_file($imageurl))
                                      {
                                           unlink($imageurl);
                                   }
										
	
	$model->cproimage->saveAs("path/logo/".$model->id."_".$model->cproimage);
	
		if($model->save())
				$this->redirect(array('view','id'=>$model->id));
	
	
		}else {
			
			unset($model->cproimage);
			
			$model->cproimage=$oldimage;
			
			
			
		}  //131
		
	

	
		if($model->save())
		
		$this->redirect(array('view','id'=>$model->id));
		
  } //117
	          
		$this->render('update',array(
			'model'=>$model,
		));
		
		
	}
	
	
	


	/**
	 * Deletes a particular model.
	 * If deletion is successful, the browser will be redirected to the 'admin' page.
	 * @param integer $id the ID of the model to be deleted
	 */
	public function actionDelete($id)
	{
		$this->loadModel($id)->delete();

		// if AJAX request (triggered by deletion via admin grid view), we should not redirect the browser
		if(!isset($_GET['ajax']))
			$this->redirect(isset($_POST['returnUrl']) ? $_POST['returnUrl'] : array('admin'));
	}

	/**
	 * Lists all models.
	 */
	public function actionIndex()
	{
		$dataProvider=new CActiveDataProvider('AdminTcompany');
		$this->render('index',array(
			'dataProvider'=>$dataProvider,
		));
	}

	/**
	 * Manages all models.
	 */
	public function actionAdmin()
	{
		$model=new AdminTcompany('search');
		
			$userid=Yii::app()->user->id;
		$model->unsetAttributes();  // clear any default values
		
		
		
		
		
		
		
		if(isset($_GET['AdminTcompany']))
			$model->attributes=$_GET['AdminTcompany'];
			$model->getDbCriteria()->mergeWith(array(     //
                   'condition'=>'userid='.$userid,
                   'order'=>'id DESC',
			
			   )); 
			

		$this->render('admin',array(
			'model'=>$model,
		));
	}

	/**
	 * Returns the data model based on the primary key given in the GET variable.
	 * If the data model is not found, an HTTP exception will be raised.
	 * @param integer $id the ID of the model to be loaded
	 * @return AdminTcompany the loaded model
	 * @throws CHttpException
	 */
	public function loadModel($id)
	{
		
	$model=AdminTcompany::model()->findByPk($id);	
	/*	
		$userid=Yii::app()->user->id;
		$model=Tcompany::model()->find(array(
		'select'=>array('*'),
	 'order' => 'id DESC',
  'condition' => 'userid=:id',
  'params' => array(':id' => $userid),
));

*/
		if($model===null)
			throw new CHttpException(404,'The requested page does not exist.');
		return $model;
	}

	/**
	 * Performs the AJAX validation.
	 * @param AdminTcompany $model the model to be validated
	 */
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax']==='admin-tcompany-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}
}
