<?php

/**
 * This is the model class for table "tcompany".
 *
 * The followings are the available columns in table 'tcompany':
 * @property integer $id
 * @property integer $groupid
 * @property integer $create_user_id
 * @property integer $userid
 * @property string $firstname
 * @property string $lastname
 * @property string $tcompany
 * @property string $companycn
 * @property string $buy
 * @property string $sell
 * @property string $regyear
 * @property string $regcity
 * @property string $thumb
 * @property string $styletime
 * @property string $totime
 * @property string $fromtime
 * @property string $homepage
 * @property string $postcode
 * @property string $business
 * @property string $hits
 * @property string $keyword
 * @property string $template
 * @property string $skin
 * @property string $domain
 * @property string $icp
 * @property string $username
 * @property string $wechat
 * @property string $size
 * @property string $regunit
 * @property double $capital
 * @property string $mode
 * @property string $areaid
 * @property string $catids
 * @property string $catid
 * @property string $type
 * @property string $validtime
 * @property string $validator
 * @property integer $validated
 * @property string $linkurl
 * @property string $country
 * @property string $aboutus
 * @property string $tel
 * @property string $fax
 * @property string $contact
 * @property string $address
 * @property string $fintro
 * @property string $fwebsite
 * @property string $fadd2
 * @property string $ttype
 * @property string $lint
 * @property string $email
 * @property string $skype
 * @property string $tcpassword
 * @property string $clogo
 * @property string $cproimage
 * @property string $memberrety
 * @property integer $vip
 * @property integer $vipt
 * @property integer $vipr
 */
class AdminTcompany extends CActiveRecord
{
	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'tcompany';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			//array('regyear, regcity', 'required'),
			array('groupid, create_user_id, userid, validated, vip, vipt, vipr', 'numerical', 'integerOnly'=>true),
			array('capital', 'numerical'),
			array('firstname, lastname, tcompany, companycn, buy, sell, country', 'length', 'max'=>256),
			array('regyear', 'length', 'max'=>4),
			array('regcity, template, skin, clogo', 'length', 'max'=>30),
			array('thumb, homepage, business, keyword, linkurl, contact, address, fwebsite, fadd2, ttype, lint, email, tcpassword', 'length', 'max'=>255),
			array('styletime, totime, fromtime, hits, areaid, validtime', 'length', 'max'=>10),
			array('postcode', 'length', 'max'=>20),
			array('domain, icp, username, wechat, size, mode, catids, catid, type, validator', 'length', 'max'=>100),
			array('regunit', 'length', 'max'=>15),
			array('tel, fax', 'length', 'max'=>50),
			array('skype', 'length', 'max'=>25),
			array('memberrety', 'length', 'max'=>12),
			array('cproimage', 'file', 'types'=>'jpg, gif, png', 'safe' => false, 'allowEmpty'=>TRUE),//wyx01
			array('aboutus, fintro', 'safe'),
		 
			// The following rule is used by search().
			// @todo Please remove those attributes that should not be searched.
			array('id, groupid, create_user_id, userid, firstname, lastname, tcompany, companycn, buy, sell, regyear, regcity, thumb, styletime, totime, fromtime, homepage, postcode, business, hits, keyword, template, skin, domain, icp, username, wechat, size, regunit, capital, mode, areaid, catids, catid, type, validtime, validator, validated, linkurl, country, aboutus, tel, fax, contact, address, fintro, fwebsite, fadd2, ttype, lint, email, skype, tcpassword, clogo, cproimage, memberrety, vip, vipt, vipr', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id' => 'ID',
			'groupid' => 'Groupid',
			'create_user_id' => 'Create User',
			'userid' => 'Userid',
			'firstname' => 'First Name 名',
			'lastname' => 'Last Name 姓',
			'tcompany' => 'Company 公司英文名',
			'companycn' => 'Company Name Chinese Name 公司中文名称',
			'buy' => 'Buy Products 采购的产品',
			'sell' => 'Sell Products 销商的产品',
			'regyear' => 'Regyear 公司成立年份',
			'regcity' => 'Regcity',
			'thumb' => 'Thumb',
			'styletime' => 'Styletime',
			'totime' => 'Totime',
			'fromtime' => 'Fromtime',
			'homepage' => 'Homepage',
			'postcode' => 'Post Code',
			'business' => 'Business',
			'hits' => 'Hits',
			'keyword' => 'Keyword',
			'template' => 'Template',
			'skin' => 'Skin',
			'domain' => 'Domain',
			'icp' => 'Icp',
			'username' => 'Username',
			'wechat' => 'Wechat ID 微信号',
			'size' => 'Size 公司人数',
			'regunit' => 'Regunit 注册资金单位',
			'capital' => 'Capital 注册资金',
			'mode' => 'Mode 公司性质',
			'areaid' => 'Areaid',
			'catids' => 'Catids',
			'catid' => 'Catid',
			'type' => 'Type',
			'validtime' => 'Validtime',
			'validator' => 'Validator',
			'validated' => 'Validated',
			'linkurl' => 'Linkurl',
			'country' => 'Country',
			'aboutus' => 'Company detail introduce',
			'tel' => 'Tel',
			'fax' => 'Fax',
			'contact' => 'Contact Person',
			'address' => 'Address',
			'fintro' => 'Company introduce',
			'fwebsite' => 'Company website',
			'fadd2' => 'Address in Chinese 公司中文地址 ',
			'ttype' => 'Ttype',
			'lint' => 'Lint',
			'email' => 'Business Email',
			'skype' => 'Skype',
			'tcpassword' => 'Tcpassword',
			'clogo' => 'Clogo',
			'cproimage' => 'The Feature Product Photo',
			'memberrety' => 'Memberrety',
			'vip' => 'Vip',
			'vipt' => 'Vipt',
			'vipr' => 'Vipr',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 *
	 * Typical usecase:
	 * - Initialize the model fields with values from filter form.
	 * - Execute this method to get CActiveDataProvider instance which will filter
	 * models according to data in model fields.
	 * - Pass data provider to CGridView, CListView or any similar widget.
	 *
	 * @return CActiveDataProvider the data provider that can return the models
	 * based on the search/filter conditions.
	 */
	public function search()
	{
		// @todo Please modify the following code to remove attributes that should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id',$this->id);
		$criteria->compare('groupid',$this->groupid);
		$criteria->compare('create_user_id',$this->create_user_id);
		$criteria->compare('userid',$this->userid);
		$criteria->compare('firstname',$this->firstname,true);
		$criteria->compare('lastname',$this->lastname,true);
		$criteria->compare('tcompany',$this->tcompany,true);
		$criteria->compare('companycn',$this->companycn,true);
		$criteria->compare('buy',$this->buy,true);
		$criteria->compare('sell',$this->sell,true);
		$criteria->compare('regyear',$this->regyear,true);
		$criteria->compare('regcity',$this->regcity,true);
		$criteria->compare('thumb',$this->thumb,true);
		$criteria->compare('styletime',$this->styletime,true);
		$criteria->compare('totime',$this->totime,true);
		$criteria->compare('fromtime',$this->fromtime,true);
		$criteria->compare('homepage',$this->homepage,true);
		$criteria->compare('postcode',$this->postcode,true);
		$criteria->compare('business',$this->business,true);
		$criteria->compare('hits',$this->hits,true);
		$criteria->compare('keyword',$this->keyword,true);
		$criteria->compare('template',$this->template,true);
		$criteria->compare('skin',$this->skin,true);
		$criteria->compare('domain',$this->domain,true);
		$criteria->compare('icp',$this->icp,true);
		$criteria->compare('username',$this->username,true);
		$criteria->compare('wechat',$this->wechat,true);
		$criteria->compare('size',$this->size,true);
		$criteria->compare('regunit',$this->regunit,true);
		$criteria->compare('capital',$this->capital);
		$criteria->compare('mode',$this->mode,true);
		$criteria->compare('areaid',$this->areaid,true);
		$criteria->compare('catids',$this->catids,true);
		$criteria->compare('catid',$this->catid,true);
		$criteria->compare('type',$this->type,true);
		$criteria->compare('validtime',$this->validtime,true);
		$criteria->compare('validator',$this->validator,true);
		$criteria->compare('validated',$this->validated);
		$criteria->compare('linkurl',$this->linkurl,true);
		$criteria->compare('country',$this->country,true);
		$criteria->compare('aboutus',$this->aboutus,true);
		$criteria->compare('tel',$this->tel,true);
		$criteria->compare('fax',$this->fax,true);
		$criteria->compare('contact',$this->contact,true);
		$criteria->compare('address',$this->address,true);
		$criteria->compare('fintro',$this->fintro,true);
		$criteria->compare('fwebsite',$this->fwebsite,true);
		$criteria->compare('fadd2',$this->fadd2,true);
		$criteria->compare('ttype',$this->ttype,true);
		$criteria->compare('lint',$this->lint,true);
		$criteria->compare('email',$this->email,true);
		$criteria->compare('skype',$this->skype,true);
		$criteria->compare('tcpassword',$this->tcpassword,true);
		$criteria->compare('clogo',$this->clogo,true);
		$criteria->compare('cproimage',$this->cproimage,true);
		$criteria->compare('memberrety',$this->memberrety,true);
		$criteria->compare('vip',$this->vip);
		$criteria->compare('vipt',$this->vipt);
		$criteria->compare('vipr',$this->vipr);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}
	
	/**
 * @return array issue type names indexed by type IDs
 */
 
 const TYPE_BUG=0; 
const TYPE_FEATURE=1; 
const TYPE_TASK=2;

 

 
public function getTypeOptions()
{

	return array( 
       
 
        self::TYPE_BUG=>'Asia', 
        self::TYPE_FEATURE=>'Europe', 
        self::TYPE_TASK=>'Affica',
    );
}
	

	/**
	 * Returns the static model of the specified AR class.
	 * Please note that you should have this exact method in all your CActiveRecord descendants!
	 * @param string $className active record class name.
	 * @return AdminTcompany the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}
}
