<?php

/**
 * This is the model class for table "maf_item".
 *
 * The followings are the available columns in table 'maf_item':
 * @property integer $imageid
 * @property integer $create_user_id
 * @property string $pkeywords
 * @property string $pname
 * @property string $pprice
 * @property string $ptitle
 * @property string $pdetail
 * @property string $image
 * @property string $file
 * @property string $types
 * @property string $create_time
 * @property string $update_time
 * @property integer $update_user_id
 */
class Item extends CActiveRecord
{
	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'maf_item';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('create_user_id, update_user_id', 'numerical', 'integerOnly'=>true),
			array('pkeywords, pname, pprice, ptitle, image, file, types', 'length', 'max'=>64),
			array('pdetail, create_time, update_time', 'safe'),
			// The following rule is used by search().
			// @todo Please remove those attributes that should not be searched.
			array('imageid, create_user_id, pkeywords, pname, pprice, ptitle, pdetail, image, file, types, create_time, update_time, update_user_id', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'imageid' => 'Imageid',
			'create_user_id' => 'Create User',
			'pkeywords' => 'Pkeywords',
			'pname' => 'Pname',
			'pprice' => 'Pprice',
			'ptitle' => 'Ptitle',
			'pdetail' => 'Pdetail',
			'image' => 'Image',
			'file' => 'File',
			'types' => 'Types',
			'create_time' => 'Create Time',
			'update_time' => 'Update Time',
			'update_user_id' => 'Update User',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 *
	 * Typical usecase:
	 * - Initialize the model fields with values from filter form.
	 * - Execute this method to get CActiveDataProvider instance which will filter
	 * models according to data in model fields.
	 * - Pass data provider to CGridView, CListView or any similar widget.
	 *
	 * @return CActiveDataProvider the data provider that can return the models
	 * based on the search/filter conditions.
	 */
	public function search()
	{
		// @todo Please modify the following code to remove attributes that should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('imageid',$this->imageid);
		$criteria->compare('create_user_id',$this->create_user_id);
		$criteria->compare('pkeywords',$this->pkeywords,true);
		$criteria->compare('pname',$this->pname,true);
		$criteria->compare('pprice',$this->pprice,true);
		$criteria->compare('ptitle',$this->ptitle,true);
		$criteria->compare('pdetail',$this->pdetail,true);
		$criteria->compare('image',$this->image,true);
		$criteria->compare('file',$this->file,true);
		$criteria->compare('types',$this->types,true);
		$criteria->compare('create_time',$this->create_time,true);
		$criteria->compare('update_time',$this->update_time,true);
		$criteria->compare('update_user_id',$this->update_user_id);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}

	/**
	 * Returns the static model of the specified AR class.
	 * Please note that you should have this exact method in all your CActiveRecord descendants!
	 * @param string $className active record class name.
	 * @return Item the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}
}
