<?php

/**
 * This is the model class for table "maf_fair".
 *
 * The followings are the available columns in table 'maf_fair':
 * @property integer $id
 * @property integer $create_user_id
 * @property string $fp
 * @property string $fpphoto
 * @property string $fpphotol
 * @property string $fname
 * @property string $fweb
 * @property string $ftime1
 * @property string $ftime2
 * @property string $fadd
 * @property string $fbooth
 * @property string $fcity
 * @property string $fcountry
 * @property string $fatitle
 * @property string $fadetail
 * @property string $fkeyword
 * @property string $create_time
 * @property string $update_time
 * @property integer $update_user_id
 */
class Admin_fair extends CActiveRecord
{
	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'maf_fair';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('create_user_id, update_user_id', 'numerical', 'integerOnly'=>true),
			array('fp, fpphoto, fpphotol, fname, fweb, fadd, fbooth, fcity, fcountry, fatitle, fkeyword', 'length', 'max'=>128),
			array('ftime1, ftime2, fadetail, create_time, update_time', 'safe'),
			// The following rule is used by search().
			// @todo Please remove those attributes that should not be searched.
			array('id, create_user_id, fp, fpphoto, fpphotol, fname, fweb, ftime1, ftime2, fadd, fbooth, fcity, fcountry, fatitle, fadetail, fkeyword, create_time, update_time, update_user_id', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id' => 'ID',
			'create_user_id' => 'Create User',
			'fp' => 'Fp',
			'fpphoto' => 'Fpphoto',
			'fpphotol' => 'Fpphotol',
			'fname' => 'Fname',
			'fweb' => 'Fweb',
			'ftime1' => 'Ftime1',
			'ftime2' => 'Ftime2',
			'fadd' => 'Fadd',
			'fbooth' => 'Fbooth',
			'fcity' => 'Fcity',
			'fcountry' => 'Fcountry',
			'fatitle' => 'Fatitle',
			'fadetail' => 'Fadetail',
			'fkeyword' => 'Fkeyword',
			'create_time' => 'Create Time',
			'update_time' => 'Update Time',
			'update_user_id' => 'Update User',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 *
	 * Typical usecase:
	 * - Initialize the model fields with values from filter form.
	 * - Execute this method to get CActiveDataProvider instance which will filter
	 * models according to data in model fields.
	 * - Pass data provider to CGridView, CListView or any similar widget.
	 *
	 * @return CActiveDataProvider the data provider that can return the models
	 * based on the search/filter conditions.
	 */
	public function search()
	{
		// @todo Please modify the following code to remove attributes that should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id',$this->id);
		$criteria->compare('create_user_id',$this->create_user_id);
		$criteria->compare('fp',$this->fp,true);
		$criteria->compare('fpphoto',$this->fpphoto,true);
		$criteria->compare('fpphotol',$this->fpphotol,true);
		$criteria->compare('fname',$this->fname,true);
		$criteria->compare('fweb',$this->fweb,true);
		$criteria->compare('ftime1',$this->ftime1,true);
		$criteria->compare('ftime2',$this->ftime2,true);
		$criteria->compare('fadd',$this->fadd,true);
		$criteria->compare('fbooth',$this->fbooth,true);
		$criteria->compare('fcity',$this->fcity,true);
		$criteria->compare('fcountry',$this->fcountry,true);
		$criteria->compare('fatitle',$this->fatitle,true);
		$criteria->compare('fadetail',$this->fadetail,true);
		$criteria->compare('fkeyword',$this->fkeyword,true);
		$criteria->compare('create_time',$this->create_time,true);
		$criteria->compare('update_time',$this->update_time,true);
		$criteria->compare('update_user_id',$this->update_user_id);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}

	/**
	 * Returns the static model of the specified AR class.
	 * Please note that you should have this exact method in all your CActiveRecord descendants!
	 * @param string $className active record class name.
	 * @return Admin_fair the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}
}
