<?php

/**
 * This is the model class for table "maf_sell".
 *
 * The followings are the available columns in table 'maf_sell':
 * @property string $itemid
 * @property string $catid
 * @property string $mycatid
 * @property integer $typeid
 * @property string $areaid
 * @property integer $level
 * @property integer $elite
 * @property string $title
 * @property string $style
 * @property double $fee
 * @property string $introduce
 * @property string $n1
 * @property string $n2
 * @property string $n3
 * @property string $v1
 * @property string $v2
 * @property string $v3
 * @property string $brand
 * @property string $unit
 * @property string $price
 * @property double $minamount
 * @property double $amount
 * @property integer $days
 * @property string $tag
 * @property string $keyword
 * @property string $pptword
 * @property string $hits
 * @property string $thumb
 * @property string $thumb1
 * @property string $thumb2
 * @property string $username
 * @property integer $groupid
 * @property string $company
 * @property integer $vip
 * @property integer $validated
 * @property string $truename
 * @property string $telephone
 * @property string $mobile
 * @property string $address
 * @property string $email
 * @property string $msn
 * @property string $qq
 * @property string $ali
 * @property string $skype
 * @property string $totime
 * @property string $editor
 * @property string $edittime
 * @property string $editdate
 * @property string $addtime
 * @property string $adddate
 * @property string $ip
 * @property string $template
 * @property integer $status
 * @property string $linkurl
 * @property string $filepath
 * @property string $note
 */
class Sell extends CActiveRecord
{
	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'maf_sell';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('n1, n2, n3, v1, v2, v3', 'required'),
			array('typeid, level, elite, days, groupid, vip, validated, status', 'numerical', 'integerOnly'=>true),
			array('fee, minamount, amount', 'numerical'),
			array('catid, areaid, unit, price, hits, totime, edittime, addtime', 'length', 'max'=>10),
			array('mycatid, qq', 'length', 'max'=>20),
			array('title, n1, n2, n3, v1, v2, v3, brand, tag, company', 'length', 'max'=>100),
			array('style, telephone, mobile, email, msn, ip', 'length', 'max'=>50),
			array('introduce, keyword, pptword, thumb, thumb1, thumb2, address, linkurl, filepath, note', 'length', 'max'=>255),
			array('username, truename, ali, skype, editor, template', 'length', 'max'=>30),
			array('editdate, adddate', 'safe'),
			// The following rule is used by search().
			// @todo Please remove those attributes that should not be searched.
			array('itemid, catid, mycatid, typeid, areaid, level, elite, title, style, fee, introduce, n1, n2, n3, v1, v2, v3, brand, unit, price, minamount, amount, days, tag, keyword, pptword, hits, thumb, thumb1, thumb2, username, groupid, company, vip, validated, truename, telephone, mobile, address, email, msn, qq, ali, skype, totime, editor, edittime, editdate, addtime, adddate, ip, template, status, linkurl, filepath, note', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'itemid' => 'Itemid',
			'catid' => 'Catid',
			'mycatid' => 'Mycatid',
			'typeid' => 'Typeid',
			'areaid' => 'Areaid',
			'level' => 'Level',
			'elite' => 'Elite',
			'title' => 'Title',
			'style' => 'Style',
			'fee' => 'Fee',
			'introduce' => 'Introduce',
			'n1' => 'N1',
			'n2' => 'N2',
			'n3' => 'N3',
			'v1' => 'V1',
			'v2' => 'V2',
			'v3' => 'V3',
			'brand' => 'Brand',
			'unit' => 'Unit',
			'price' => 'Price',
			'minamount' => 'Minamount',
			'amount' => 'Amount',
			'days' => 'Days',
			'tag' => 'Tag',
			'keyword' => 'Keyword',
			'pptword' => 'Pptword',
			'hits' => 'Hits',
			'thumb' => 'Thumb',
			'thumb1' => 'Thumb1',
			'thumb2' => 'Thumb2',
			'username' => 'Username',
			'groupid' => 'Groupid',
			'company' => 'Company',
			'vip' => 'Vip',
			'validated' => 'Validated',
			'truename' => 'Truename',
			'telephone' => 'Telephone',
			'mobile' => 'Mobile',
			'address' => 'Address',
			'email' => 'Email',
			'msn' => 'Msn',
			'qq' => 'Qq',
			'ali' => 'Ali',
			'skype' => 'Skype',
			'totime' => 'Totime',
			'editor' => 'Editor',
			'edittime' => 'Edittime',
			'editdate' => 'Editdate',
			'addtime' => 'Addtime',
			'adddate' => 'Adddate',
			'ip' => 'Ip',
			'template' => 'Template',
			'status' => 'Status',
			'linkurl' => 'Linkurl',
			'filepath' => 'Filepath',
			'note' => 'Note',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 *
	 * Typical usecase:
	 * - Initialize the model fields with values from filter form.
	 * - Execute this method to get CActiveDataProvider instance which will filter
	 * models according to data in model fields.
	 * - Pass data provider to CGridView, CListView or any similar widget.
	 *
	 * @return CActiveDataProvider the data provider that can return the models
	 * based on the search/filter conditions.
	 */
	public function search()
	{
		// @todo Please modify the following code to remove attributes that should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('itemid',$this->itemid,true);
		$criteria->compare('catid',$this->catid,true);
		$criteria->compare('mycatid',$this->mycatid,true);
		$criteria->compare('typeid',$this->typeid);
		$criteria->compare('areaid',$this->areaid,true);
		$criteria->compare('level',$this->level);
		$criteria->compare('elite',$this->elite);
		$criteria->compare('title',$this->title,true);
		$criteria->compare('style',$this->style,true);
		$criteria->compare('fee',$this->fee);
		$criteria->compare('introduce',$this->introduce,true);
		$criteria->compare('n1',$this->n1,true);
		$criteria->compare('n2',$this->n2,true);
		$criteria->compare('n3',$this->n3,true);
		$criteria->compare('v1',$this->v1,true);
		$criteria->compare('v2',$this->v2,true);
		$criteria->compare('v3',$this->v3,true);
		$criteria->compare('brand',$this->brand,true);
		$criteria->compare('unit',$this->unit,true);
		$criteria->compare('price',$this->price,true);
		$criteria->compare('minamount',$this->minamount);
		$criteria->compare('amount',$this->amount);
		$criteria->compare('days',$this->days);
		$criteria->compare('tag',$this->tag,true);
		$criteria->compare('keyword',$this->keyword,true);
		$criteria->compare('pptword',$this->pptword,true);
		$criteria->compare('hits',$this->hits,true);
		$criteria->compare('thumb',$this->thumb,true);
		$criteria->compare('thumb1',$this->thumb1,true);
		$criteria->compare('thumb2',$this->thumb2,true);
		$criteria->compare('username',$this->username,true);
		$criteria->compare('groupid',$this->groupid);
		$criteria->compare('company',$this->company,true);
		$criteria->compare('vip',$this->vip);
		$criteria->compare('validated',$this->validated);
		$criteria->compare('truename',$this->truename,true);
		$criteria->compare('telephone',$this->telephone,true);
		$criteria->compare('mobile',$this->mobile,true);
		$criteria->compare('address',$this->address,true);
		$criteria->compare('email',$this->email,true);
		$criteria->compare('msn',$this->msn,true);
		$criteria->compare('qq',$this->qq,true);
		$criteria->compare('ali',$this->ali,true);
		$criteria->compare('skype',$this->skype,true);
		$criteria->compare('totime',$this->totime,true);
		$criteria->compare('editor',$this->editor,true);
		$criteria->compare('edittime',$this->edittime,true);
		$criteria->compare('editdate',$this->editdate,true);
		$criteria->compare('addtime',$this->addtime,true);
		$criteria->compare('adddate',$this->adddate,true);
		$criteria->compare('ip',$this->ip,true);
		$criteria->compare('template',$this->template,true);
		$criteria->compare('status',$this->status);
		$criteria->compare('linkurl',$this->linkurl,true);
		$criteria->compare('filepath',$this->filepath,true);
		$criteria->compare('note',$this->note,true);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}

	/**
	 * Returns the static model of the specified AR class.
	 * Please note that you should have this exact method in all your CActiveRecord descendants!
	 * @param string $className active record class name.
	 * @return Sell the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}
}
