<?php
/* @var $this ExhibitController */
/* @var $model Exhibit */

$this->breadcrumbs=array(
	'Exhibits'=>array('index'),
	'Manage',
);

$this->menu=array(
	array('label'=>'List Exhibit', 'url'=>array('index')),
	array('label'=>'Create Exhibit', 'url'=>array('create')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#exhibit-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1>Manage Exhibits</h1>

<p>
You may optionally enter a comparison operator (<b>&lt;</b>, <b>&lt;=</b>, <b>&gt;</b>, <b>&gt;=</b>, <b>&lt;&gt;</b>
or <b>=</b>) at the beginning of each of your search values to specify how the comparison should be done.
</p>

<?php echo CHtml::link('Advanced Search','#',array('class'=>'search-button')); ?>
<div class="search-form" style="display:none">
<?php $this->renderPartial('_search',array(
	'model'=>$model,
)); ?>
</div><!-- search-form -->

<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'exhibit-grid',
	'dataProvider'=>$model->search(),
	'filter'=>$model,
	'columns'=>array(
		'itemid',
		'catid',
		'areaid',
		'level',
		'title',
		'fairlogo',
		/*
		'fairmap',
		'style',
		'fee',
		'introduce',
		'keyword',
		'pptword',
		'hits',
		'orders',
		'thumb',
		'username',
		'addtime',
		'fromtime',
		'totime',
		'city',
		'address',
		'postcode',
		'homepage',
		'hallname',
		'sponsor',
		'undertaker',
		'truename',
		'addr',
		'telephone',
		'mobile',
		'fax',
		'email',
		'qq',
		'wechat',
		'skype',
		'remark',
		'sign',
		'editor',
		'edittime',
		'ip',
		'template',
		'status',
		'linkurl',
		'filepath',
		'note',
		*/
		array(
			'class'=>'CButtonColumn',
		),
	),
)); ?>
