<?php
/* @var $this FairController */
/* @var $model Fair */

$this->breadcrumbs=array(
	'Fairs'=>array('index'),
	'Manage',
);

$this->menu=array(
	array('label'=>'List Fair', 'url'=>array('index')),
	array('label'=>'Create Fair', 'url'=>array('create')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#fair-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1>Manage Fairs</h1>

<p>
You may optionally enter a comparison operator (<b>&lt;</b>, <b>&lt;=</b>, <b>&gt;</b>, <b>&gt;=</b>, <b>&lt;&gt;</b>
or <b>=</b>) at the beginning of each of your search values to specify how the comparison should be done.
</p>

<?php echo CHtml::link('Advanced Search','#',array('class'=>'search-button')); ?>
<div class="search-form" style="display:none">
<?php $this->renderPartial('_search',array(
	'model'=>$model,
)); ?>
</div><!-- search-form -->

<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'fair-grid',
	'dataProvider'=>$model->search(),
	'filter'=>$model,
	'columns'=>array(
		'id',
		'create_user_id',
		'fp',
		'fpphoto',
		'fpphotol',
		'fname',
		/*
		'fweb',
		'ftime1',
		'ftime2',
		'fadd',
		'fbooth',
		'fcity',
		'fcountry',
		'fatitle',
		'fadetail',
		'fkeyword',
		'create_time',
		'update_time',
		'update_user_id',
		*/
		array(
			'class'=>'CButtonColumn',
		),
	),
)); ?>
