<?php
/* @var $this SellController */
/* @var $model Sell */

$this->breadcrumbs=array(
	'Sells'=>array('index'),
	'Manage',
);

$this->menu=array(
	array('label'=>'List Sell', 'url'=>array('index')),
	array('label'=>'Create Sell', 'url'=>array('create')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#sell-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1>Manage Sells</h1>

<p>
You may optionally enter a comparison operator (<b>&lt;</b>, <b>&lt;=</b>, <b>&gt;</b>, <b>&gt;=</b>, <b>&lt;&gt;</b>
or <b>=</b>) at the beginning of each of your search values to specify how the comparison should be done.
</p>

<?php echo CHtml::link('Advanced Search','#',array('class'=>'search-button')); ?>
<div class="search-form" style="display:none">
<?php $this->renderPartial('_search',array(
	'model'=>$model,
)); ?>
</div><!-- search-form -->

<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'sell-grid',
	'dataProvider'=>$model->search(),
	'filter'=>$model,
	'columns'=>array(
		'itemid',
		'catid',
		'mycatid',
		'typeid',
		'areaid',
		'level',
		/*
		'elite',
		'title',
		'style',
		'fee',
		'introduce',
		'n1',
		'n2',
		'n3',
		'v1',
		'v2',
		'v3',
		'brand',
		'unit',
		'price',
		'minamount',
		'amount',
		'days',
		'tag',
		'keyword',
		'pptword',
		'hits',
		'thumb',
		'thumb1',
		'thumb2',
		'username',
		'groupid',
		'company',
		'vip',
		'validated',
		'truename',
		'telephone',
		'mobile',
		'address',
		'email',
		'msn',
		'qq',
		'ali',
		'skype',
		'totime',
		'editor',
		'edittime',
		'editdate',
		'addtime',
		'adddate',
		'ip',
		'template',
		'status',
		'linkurl',
		'filepath',
		'note',
		*/
		array(
			'class'=>'CButtonColumn',
		),
	),
)); ?>
